Bug 153492 - [patch] update astro/merkaartor to 0.17.0
[patch] update astro/merkaartor to 0.17.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Wen Heping
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-28 15:00 UTC by Oliver Heesakkers
Modified: 2011-01-19 08:50 UTC (History)
0 users

See Also:


Attachments
file.diff (3.83 KB, patch)
2010-12-28 15:00 UTC, Oliver Heesakkers
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Heesakkers 2010-12-28 15:00:20 UTC
Update to 0.17.0

I've added a number of knobs. First is to not automatically build with debugging (which up to now was standard). Also I've include options for GDAL and PROJ, which are switched on by default, because these requirements will be non-optional for the 0.18 release.

Last is an option for zbar (reading barcodes from walking papers). I introduced zbar into the port-system with PR 152708.

Please note that the current maintainer has timed out on the last three occasions in the twelve months. If appropriate, I would be happy to assume the role of maintainer for this port (also note the AUTHORS-file).
Comment 1 Edwin Groothuis freebsd_committer 2010-12-28 15:00:25 UTC
Maintainer of astro/merkaartor,

Please note that PR ports/153492 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/153492

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-12-28 15:00:28 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Wen Heping freebsd_committer 2010-12-29 03:17:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 4 dfilter freebsd_committer 2011-01-19 08:41:08 UTC
wen         2011-01-19 08:41:03 UTC

  FreeBSD ports repository

  Modified files:
    astro/merkaartor     Makefile distinfo pkg-plist 
  Added files:
    astro/merkaartor/files patch-log2 
  Log:
  - Update to 0.17.0
  - Add more options
  
  PR:             ports/153492
  Submitted by:   Oliver Heesakkers <dev2@heesakkers.info>
  Approved by:    maintainer(timeout, >20 days)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.14      +29 -3     ports/astro/merkaartor/Makefile
  1.7       +2 -3      ports/astro/merkaartor/distinfo
  1.1       +11 -0     ports/astro/merkaartor/files/patch-log2 (new)
  1.4       +7 -0      ports/astro/merkaartor/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Wen Heping freebsd_committer 2011-01-19 08:41:17 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!